classification
Title: Missing entry for the tilde (~) operator in the Index
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Eric Lebigot, Mariatta, docs@python, lebigot, marco.buttu, serhiy.storchaka, terry.reedy
Priority: normal Keywords:

Created on 2017-04-30 19:56 by lebigot, last changed 2017-06-12 19:45 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1502 merged marco.buttu, 2017-05-08 15:56
PR 2138 merged marco.buttu, 2017-06-12 17:29
PR 2137 merged marco.buttu, 2017-06-12 17:29
PR 2136 merged marco.buttu, 2017-06-12 17:30
Messages (8)
msg292641 - (view) Author: Eric O. LEBIGOT (lebigot) Date: 2017-04-30 19:56
The index (https://docs.python.org/3.6/genindex-Symbols.html) is missing an entry for the tilde operator ~ (there is also no entry under "tilde").

A relevant pointer could be to object.__invert__ (https://docs.python.org/3.6/reference/datamodel.html#object.__invert__).
msg293238 - (view) Author: Marco Buttu (marco.buttu) * Date: 2017-05-08 15:50
Thanks Eric.  I think the reference should be added here, as we do for the other operators:

https://docs.python.org/3/library/stdtypes.html#bitwise-operations-on-integer-types
msg293241 - (view) Author: Eric Lebigot (Eric Lebigot) * Date: 2017-05-08 17:10
Good reference.

Another one would be https://docs.python.org/3/reference/expressions.html#unary-arithmetic-and-bitwise-operations, which explicitly indicates that it only makes sense for integer types (which is useful to keep in mind, as one may think that it could somehow apply to floating point numbers as well).

The one at https://docs.python.org/3.6/reference/datamodel.html#object.__invert__ is also important for learning that it is related to __invert__().
msg293324 - (view) Author: Marco Buttu (marco.buttu) * Date: 2017-05-09 15:38
Looking at Doc/reference/expressions.rst and Doc/reference/datamodel.rst, I do not see any reference to the symbols, but only to the operator name (negation, minus, plus, inversion, etc.).  Therefore I think it is better to not change these files.

In the PR [*] I added (in Doc/library/stdtypes.rst) both a reference to the symbol and to the name.

Thank you very much 

[*] https://github.com/python/cpython/pull/1502/
msg295531 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-06-09 14:28
New changeset 5eb7075915f0509c5027376bda0e6d9c1e505a2c by Serhiy Storchaka (Marco Buttu) in branch 'master':
bpo-30217: Add the operators ~ and | to the index (#1502)
https://github.com/python/cpython/commit/5eb7075915f0509c5027376bda0e6d9c1e505a2c
msg295816 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-12 19:41
New changeset f59cac4b6458e5c47e24a39ba46fb178c3766577 by Mariatta (Marco Buttu) in branch '3.6':
bpo-30217: add the operators ~ and | to the index (GH-1502) (GH-2136)
https://github.com/python/cpython/commit/f59cac4b6458e5c47e24a39ba46fb178c3766577
msg295818 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-12 19:42
New changeset bbb335891c2967bd13fbe2da775c0348260d95cb by Mariatta (Marco Buttu) in branch '2.7':
bpo-30217: add the operators ~ and | to the index (GH-1502) (GH-2137)
https://github.com/python/cpython/commit/bbb335891c2967bd13fbe2da775c0348260d95cb
msg295819 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-12 19:44
New changeset 37e04153d5e331162608b33639ecd3c9a5ae2432 by Mariatta (Marco Buttu) in branch '3.5':
bpo-30217: add the operators ~ and | to the index (GH-1502) (GH-2138)
https://github.com/python/cpython/commit/37e04153d5e331162608b33639ecd3c9a5ae2432
History
Date User Action Args
2017-06-12 19:45:14Mariattasetstatus: open -> closed
resolution: fixed
stage: resolved
2017-06-12 19:44:05Mariattasetmessages: + msg295819
2017-06-12 19:42:51Mariattasetmessages: + msg295818
2017-06-12 19:41:45Mariattasetnosy: + Mariatta
messages: + msg295816
2017-06-12 17:30:01marco.buttusetpull_requests: + pull_request2192
2017-06-12 17:29:37marco.buttusetpull_requests: + pull_request2191
2017-06-12 17:29:19marco.buttusetpull_requests: + pull_request2190
2017-06-09 14:28:30serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg295531
2017-05-09 15:38:14marco.buttusetmessages: + msg293324
2017-05-08 17:10:15Eric Lebigotsetnosy: + Eric Lebigot
messages: + msg293241
2017-05-08 15:56:23marco.buttusetpull_requests: + pull_request1603
2017-05-08 15:50:22marco.buttusetnosy: + marco.buttu
messages: + msg293238
2017-05-05 22:01:33terry.reedysetnosy: + terry.reedy

versions: - Python 3.3, Python 3.4
2017-04-30 19:56:00lebigotcreate